Subject: Re: No man pages
From: "christophe thiebot" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 18 Feb 2003 12:45:46 -0800

From: Christopher Faylor <cgf at redhat dot com>
To: cygwin at cygwin dot com
Date: Fri, 14 Feb 2003 23:24:53 -0500
Subject: Re: no man pages
References: <[email-masked]>
Reply-to: cygwin at cygwin dot com

--------------------------------------------------------------------------------
chmod -R a+r /usr/man

cgf

On Fri, Feb 14, 2003 at 08:18:40PM -0800, christophe thiebot wrote:
>S cygcheck -c cygwin-doc |grep cygwin-doc
>has the output:
>cygwin-doc 1.3-2
>
>$ ls -al /usr/man/man1/ps.1.gz
>has the output:
>----------+   1 CHTHI    mkpasswd     1308 Oct 17 17:22 
>/usr/man/man1/ps.1.gz

Thanks, man works with chmod -R a+r /usr/man. I also had to do:
chmod 555 /usr/bin/* to make nroff executable.

I noticed that all the cygwin files are created with "mkpasswd" as the group 
name. But I don't see mkpasswd in /etc/group. Any idea why? Also all the 
directories and subdirectories have the "d---------+" permissions. It does 
not look good!

Christophe

>From: "Elfyn McBratney" <[email-masked]>
>Reply-To: "Elfyn McBratney" <[email-masked]>
>To: "cygwin" <[email-masked]>,"Daniel Elenius" <[email-masked]>
>Subject: Re: Newbie problems
>Date: Tue, 18 Feb 2003 19:35:18 -0000
>
> > I just installed cygwin, and everything seemed to work fine during
> > installation. I installed quite a lot of packages, including binutils
> > (and almost all other devel packages) and all the base packages. I seem
> > to missing some important stuff though. For example, I don't have 'less'
> > or 'ldd'. What can I have done wrong?
>
>
>For less you need to install the less package via setup.exe. For ldd you
>don't need to install anything as it doesn't exist in cygwin, it is a part
>of glibc(-common) which cygwin does not use, you can however, use
>cygcheck[1]. FYI cygwin used newlib as it's libc.
>
>If you need a package, and don't find it in the distribution then you can
>use <http://cygwin.com/packages/> to search for them/it. If they don't
>appear then they haven't been ported to cygwin.
>
>[1] cygcheck requires windows paths as it is a native windows application
>and uses m$s libc (msvcrt.dll). eg:
>
>$ cygcheck $(cygpath -w /bin/cygcheck.exe)
>$cygcheck $(cygpath -w /bin/perl.exe)
>
>Refer to `man cygcheck' for more information ;-)
>
>
>Regards,
>
>Elfyn McBratney
>[email-masked]
>www.exposure.org.uk
>
>
>
>--
>Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>Bug reporting:         http://cygwin.com/bugs.html
>Documentation:         http://cygwin.com/docs.html
>FAQ:                   http://cygwin.com/faq/

_________________________________________________________________
MSN 8 helps eliminate e-mail viruses. Get 2 months FREE*.  
http://join.msn.com/?page=features/virus

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/